uk.gov.hmrc.alertconfig.HttpStatus

# HTTP_STATUS

###
Related Doc: package HttpStatus

#### case class HTTP_STATUS(status: Int) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. HTTP_STATUS
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new HTTP_STATUS(status: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

9. #### final def isInstanceOf[T0]: Boolean

   Definition Classes
     Any

10. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### final def notify(): Unit

    Definition Classes
      AnyRef

12. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

13. #### val status: Int

14. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

15. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped